Xeonr Developer Docs
API SpecificationWarm Pools

GetPoolState

POST
/containers.api.v1.PoolService/GetPoolState

Authorization

BearerAuth
AuthorizationBearer <token>

A namespace-scoped API key (cpk_…) for machines, or a Xeonr Auth OIDC token for humans. The key's namespace and role are pinned server-side.

In: header

Header Parameters

Connect-Protocol-Version*number

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

namespace?string

optional filter; admin may omit for all

[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://containers.xeonr.io/containers.api.v1.PoolService/GetPoolState" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/json" \  -d '{}'
{
  "enabled": true,
  "podsCreated": 0,
  "podsDeleted": 0,
  "createErrors": 0,
  "claimsTotal": 0,
  "spillsTotal": 0,
  "attachErrors": 0,
  "lanes": [
    {
      "lane": "string",
      "idle": 0,
      "busy": 0,
      "target": 0
    }
  ],
  "createLatencyEwmaSec": 0.1
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}